<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>DUNE Warm Interface Board: FEMB_CnC_IO Package  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">DUNE Warm Interface Board
   </div>
   <div id="projectbrief">Firmware for the DUNE Warm Interface Board (WIB)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">FEMB_CnC_IO Package Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="classFEMB__CnC__IO-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Use Clauses"></a>
Use Clauses</h2></td></tr>
 <tr class="memitem:a2edc34402b573437d5f25fa90ba4013e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2edc34402b573437d5f25fa90ba4013e"></a>
<a class="el" href="classFEMB__CnC__IO.html#a2edc34402b573437d5f25fa90ba4013e">numeric_std</a>&#160;</td><td class="memItemRight" valign="bottom">  </td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Constants"></a>
Constants</h2></td></tr>
 <tr class="memitem:a88316aeb273d713cdca7495c3e56b7f7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a88316aeb273d713cdca7495c3e56b7f7"></a>
<a class="el" href="classFEMB__CnC__IO.html#a88316aeb273d713cdca7495c3e56b7f7">DEFAULT_FEMB_CnC_Control_t</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">FEMB_CNC_Control_t</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">error_convert_timing_counter_reset</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">&gt;</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">convert_counter_reset</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">&gt;</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">calibrate_counter_reset</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">&gt;</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">sync_counter_reset</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">&gt;</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">reset_counter_reset</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">&gt;</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">cmd_sel</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">&gt;</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">clk_sel</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">&gt;</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Types"></a>
Types</h2></td></tr>
 <tr class="memitem:aedea01976d2b5ed434119f3425b13f51"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aedea01976d2b5ed434119f3425b13f51"></a>
<b>record: <a class="el" href="classFEMB__CnC__IO.html#aedea01976d2b5ed434119f3425b13f51">FEMB_CNC_Monitor_t</a>&#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">error_convert_timing_counter</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar"> </span><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b><br/>
<b><span class="vhdlchar">convert_counter</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar"> </span><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b><br/>
<b><span class="vhdlchar">calibrate_counter</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar"> </span><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b><br/>
<b><span class="vhdlchar">sync_counter</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar"> </span><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b><br/>
<b><span class="vhdlchar">reset_counter</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar"> </span><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b><br/>
<b><span class="vhdlchar">cmd_sel</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar"> </span><span class="comment">std_logic</span><span class="vhdlchar"> </span></b><br/>
<b><span class="vhdlchar">clk_sel</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar"> </span><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:aae6926bdcd35ee7d44d0f1c571fe87c0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aae6926bdcd35ee7d44d0f1c571fe87c0"></a>
<b>record: <a class="el" href="classFEMB__CnC__IO.html#aae6926bdcd35ee7d44d0f1c571fe87c0">FEMB_CNC_Control_t</a>&#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">error_convert_timing_counter_reset</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar"> </span><span class="comment">std_logic</span><span class="vhdlchar"> </span></b><br/>
<b><span class="vhdlchar">convert_counter_reset</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar"> </span><span class="comment">std_logic</span><span class="vhdlchar"> </span></b><br/>
<b><span class="vhdlchar">calibrate_counter_reset</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar"> </span><span class="comment">std_logic</span><span class="vhdlchar"> </span></b><br/>
<b><span class="vhdlchar">sync_counter_reset</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar"> </span><span class="comment">std_logic</span><span class="vhdlchar"> </span></b><br/>
<b><span class="vhdlchar">reset_counter_reset</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar"> </span><span class="comment">std_logic</span><span class="vhdlchar"> </span></b><br/>
<b><span class="vhdlchar">cmd_sel</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar"> </span><span class="comment">std_logic</span><span class="vhdlchar"> </span></b><br/>
<b><span class="vhdlchar">clk_sel</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar"> </span><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></b></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="FEMB__CnC__IO_8vhd_source.html#l00011">11</a> of file <a class="el" href="FEMB__CnC__IO_8vhd_source.html">FEMB_CnC_IO.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/src/FEMB_CnC/<a class="el" href="FEMB__CnC__IO_8vhd_source.html">FEMB_CnC_IO.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Nov 1 2017 10:40:33 for DUNE Warm Interface Board by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
